using APT.Infrastructure.Core;
using APT.Infrastructure.Utility;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    [Description("服务器监听表")]
    [Redis("ID", "ID", "CODE")]
    public class T_FM_MONITORING : MesEntityBase
    {
        [Description("编号")]
        [CUnique]
        [DataFieldLength(20)]
        public string CODE { get; set; }

        [Description("名称")]
        [DataFieldLength(100)]
        public string NAME { get; set; }

        [Description("名称")]
        [DataFieldLength(50)]
        public string IP { get; set; }
        /// <summary>
        /// 监听地址
        /// </summary>
        [Description("监听地址")]
        [DataFieldLength(100)]
        public string MONITORING_ADDR { get; set; }

        [Description("启用标志")]
		[EnumName("FMEnableStatusEnum")]
		public int ENABLE_STATUS { get; set; }

        [Description("备注")]
        [DataFieldLength(100)]
        public string REMARK { get; set; }


    }
}
